## netconsole 0.2

=== Makefile ===
PREFIX ?= /usr/local
SYSTEMD_PATH ?= /etc/systemd/system
SYSV_INIT ?= /etc/init.d

VERSION := 0.2
DIST := default LICENSE Makefile netconsole.init netconsole.service netconsole-setup netconsole-setup.8.md NEWS README.md

all: doc

clean:
	rm -f netconsole-setup.8

check:
	shellcheck -e SC1090,SC1091 netconsole.init netconsole-setup

dist: netconsole-$(VERSION).tar.xz netconsole-$(VERSION).tar.xz.asc

%.asc: %
	gpg --armor --batch --detach-sign --yes --output $@ $^

%.tar.xz: $(DIST)
	tar -c --exclude-vcs --transform="s@^@$*/@" $^ | xz -cz9 > $@

doc: netconsole-setup.8

%.8: %.8.md
	pandoc -s -t man $^ -o $@

install: doc
	install -D -m 755 netconsole-setup $(DESTDIR)$(PREFIX)/sbin/netconsole-setup
	install -D -m 644 netconsole-setup.8 $(DESTDIR)$(PREFIX)/share/man/man8/netconsole-setup.8
	install -D -m 755 netconsole.init $(DESTDIR)$(SYSV_INIT)/netconsole
	install -D -m 644 netconsole.service $(DESTDIR)$(SYSTEMD_PATH)/netconsole.service
	install -D -m 644 default $(DESTDIR)/etc/default/netconsole

.PHONY: all check clean doc install

=== debian/changelog ===
netconsole (0.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix setting up configfs (Closes: #913289)
  * Add required dependencies on iproute2 and kmod

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 13 Nov 2018 13:47:33 +0100

netconsole (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #912348)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 30 Oct 2018 17:46:04 +0100

=== debian/control ===
Source: netconsole
Section: admin
Priority: optional
Maintainer: Benjamin Drung <benjamin.drung@cloud.ionos.com>
Build-Depends: debhelper (>= 11), pandoc, shellcheck
Standards-Version: 4.2.1
Homepage: https://github.com/profitbricks/netconsole
Vcs-Browser: https://salsa.debian.org/debian/netconsole
Vcs-Git: https://salsa.debian.org/debian/netconsole.git

Package: netconsole
Architecture: all
Depends: iproute2, iputils-arping, kmod, lsb-base (>= 3.0-6), ${misc:Depends}
Description: Dynamically configure Linux netconsole
 Netconsole is a Linux kernel module that sends all kernel log messages over
 the network to another computer. It was designed to be as instantaneous as
 possible, to enable the logging of even the most critical kernel bugs. It
 works from IRQ contexts as well, and does not enable interrupts while sending
 packets. Due to these unique needs, only IP networks, UDP packets and Ethernet
 devices are supported.
 .
 This package contains a netconsole service that dynamically configures
 netconsole by configuring one or more hosts by their names or IP addresses.
 .
 Documentation is available in the Linux kernel tree under
 https://www.kernel.org/doc/Documentation/networking/netconsole.txt

## netconsole 0.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SYSTEMD_PATH ?= /etc/systemd/system
 SYSV_INIT ?= /etc/init.d
 
-VERSION := 0.2
+VERSION := 0.3
 DIST := default LICENSE Makefile netconsole.init netconsole.service netconsole-setup netconsole-setup.8.md NEWS README.md
 
 all: doc

=== debian/changelog ===
netconsole (0.3-1) unstable; urgency=medium

  * New upstream release.
    - Support Thomas Habet's arping
  * Add arping as alternative dependency for iputils-arping.
  * Switch to debhelper 12
  * Bump Standards-Version to 4.4.1 (no changes required)
  * Add missing Pre-Depends on ${misc:Pre-Depends}
  * Set Rules-Requires-Root: no

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 08 Jan 2020 15:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Drung <benjamin.drung@cloud.ionos.com>
-Build-Depends: debhelper (>= 11), pandoc, shellcheck
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), pandoc, shellcheck
+Standards-Version: 4.4.1
 Homepage: https://github.com/profitbricks/netconsole
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/netconsole
 Vcs-Git: https://salsa.debian.org/debian/netconsole.git
 
 Package: netconsole
 Architecture: all
-Depends: iproute2, iputils-arping, kmod, lsb-base (>= 3.0-6), ${misc:Depends}
+Depends: iproute2,
+         iputils-arping | arping,
+         kmod,
+         lsb-base (>= 3.0-6),
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Dynamically configure Linux netconsole
  Netconsole is a Linux kernel module that sends all kernel log messages over
  the network to another computer. It was designed to be as instantaneous as

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/profitbricks/netconsole/releases (?:.*?/)?netconsole-(.*)\.(?:tar.gz|tar.bz2|tar.xz)

## netconsole 0.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SYSTEMD_PATH ?= /etc/systemd/system
 SYSV_INIT ?= /etc/init.d
 
-VERSION := 0.3
+VERSION := 0.3.1
 DIST := default LICENSE Makefile netconsole.init netconsole.service netconsole-setup netconsole-setup.8.md NEWS README.md
 
 all: doc
@@ -14,6 +14,9 @@
 	shellcheck -e SC1090,SC1091 netconsole.init netconsole-setup
 
 dist: netconsole-$(VERSION).tar.xz netconsole-$(VERSION).tar.xz.asc
+
+version:
+	@echo $(VERSION)
 
 %.asc: %
 	gpg --armor --batch --detach-sign --yes --output $@ $^
@@ -33,4 +36,4 @@
 	install -D -m 644 netconsole.service $(DESTDIR)$(SYSTEMD_PATH)/netconsole.service
 	install -D -m 644 default $(DESTDIR)/etc/default/netconsole
 
-.PHONY: all check clean doc install
+.PHONY: all check clean doc install version

=== debian/changelog ===
netconsole (0.3.1-3) unstable; urgency=medium

  * Drop lsb-base dependency
  * Install systemd service in /usr/lib/systemd/system (Closes: #1073711)
  * Update year in copyright
  * Bump Standards-Version to 4.7.0

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Jun 2024 00:56:28 +0200

netconsole (0.3.1-2) unstable; urgency=medium

  * Update my email address to @debian.org
  * Update company name in copyright
  * Bump Standards-Version to 4.6.0
  * Switch to debhelper 13
  * Update renamed upstream GitHub group
  * Update debian/watch version to 4
  * Add upstream metadata file

 -- Benjamin Drung <bdrung@debian.org>  Thu, 17 Feb 2022 13:16:24 +0100

netconsole (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - netconsole.init: Silence quotation complaint by shellcheck 0.7.1
      (Closes: #959603)
  * Bump Standards-Version to 4.5.0 (no changes required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 11 May 2020 14:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: netconsole
 Section: admin
 Priority: optional
-Maintainer: Benjamin Drung <benjamin.drung@cloud.ionos.com>
-Build-Depends: debhelper-compat (= 12), pandoc, shellcheck
-Standards-Version: 4.4.1
-Homepage: https://github.com/profitbricks/netconsole
+Maintainer: Benjamin Drung <bdrung@debian.org>
+Build-Depends: debhelper-compat (= 13), pandoc, shellcheck
+Standards-Version: 4.7.0
+Homepage: https://github.com/ionos-cloud/netconsole
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/netconsole
 Vcs-Git: https://salsa.debian.org/debian/netconsole.git
@@ -14,7 +14,6 @@
 Depends: iproute2,
          iputils-arping | arping,
          kmod,
-         lsb-base (>= 3.0-6),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Dynamically configure Linux netconsole

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr SYSTEMD_PATH=/usr/lib/systemd/system

override_dh_installinit:
	dh_installinit --only-scripts
